summaryrefslogtreecommitdiff
path: root/tests/split
diff options
context:
space:
mode:
Diffstat (limited to 'tests/split')
-rwxr-xr-xtests/split/b-chunk12
-rwxr-xr-xtests/split/fail2
-rwxr-xr-xtests/split/l-chunk14
-rwxr-xr-xtests/split/lines6
-rwxr-xr-xtests/split/r-chunk14
-rwxr-xr-xtests/split/suffix-length4
6 files changed, 26 insertions, 26 deletions
diff --git a/tests/split/b-chunk b/tests/split/b-chunk
index 3191620aa..5e7f82d5d 100755
--- a/tests/split/b-chunk
+++ b/tests/split/b-chunk
@@ -39,12 +39,12 @@ printf '1\n2' > exp-1
printf '\n3\n' > exp-2
printf '4\n5\n' > exp-3
-compare xaa exp-1 || fail=1
-compare xab exp-2 || fail=1
-compare xac exp-3 || fail=1
-compare b1 exp-1 || fail=1
-compare b2 exp-2 || fail=1
-compare b3 exp-3 || fail=1
+compare exp-1 xaa || fail=1
+compare exp-2 xab || fail=1
+compare exp-3 xac || fail=1
+compare exp-1 b1 || fail=1
+compare exp-2 b2 || fail=1
+compare exp-3 b3 || fail=1
test -f xad && fail=1
Exit $fail
diff --git a/tests/split/fail b/tests/split/fail
index 039f457a3..79f62f81e 100755
--- a/tests/split/fail
+++ b/tests/split/fail
@@ -69,7 +69,7 @@ mv -f out-t out
cat <<\EOF > exp
split: line count option -99*... is too large
EOF
-compare out exp || fail=1
+compare exp out || fail=1
# Make sure split fails when it can't read input
# (the current directory in this case)
diff --git a/tests/split/l-chunk b/tests/split/l-chunk
index e1c9ec7d8..8dbbece51 100755
--- a/tests/split/l-chunk
+++ b/tests/split/l-chunk
@@ -22,11 +22,11 @@ print_ver_ split
# invalid number of chunks
echo 'split: 1o: invalid number of chunks' > exp
split -n l/1o 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
echo "split: \`-': cannot determine file size" > exp
echo | split -n l/1 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
# N can be greater than the file size
# in which case no data is extracted, or empty files are written
@@ -52,7 +52,7 @@ printf "%s" "$lines" | tr '~' '\n' > in || framework_failure_
echo 'split: 16: invalid chunk number' > exp
split -n l/16/15 in 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
printf '%s' "\
14 16 09 15 16 10
@@ -119,20 +119,20 @@ test "$DEBUGGING" && test "$VERBOSE" && set -x
: > out
printf '1\n12345\n' > exp
split -n l/13/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
: > out
printf '' > exp
split -n l/14/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
: > out
printf '1\n12345\n1\n' > exp
split -n l/15/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
# test input with no \n at end
printf '12\n34\n5' > in
printf '5' > exp
split -n l/7/7 in > out
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/split/lines b/tests/split/lines
index 1612c2e23..3269449d0 100755
--- a/tests/split/lines
+++ b/tests/split/lines
@@ -34,9 +34,9 @@ cat <<\EOF > exp-3
5
EOF
-compare xaa exp-1 || fail=1
-compare xab exp-2 || fail=1
-compare xac exp-3 || fail=1
+compare exp-1 xaa || fail=1
+compare exp-2 xab || fail=1
+compare exp-3 xac || fail=1
test -f xad && fail=1
Exit $fail
diff --git a/tests/split/r-chunk b/tests/split/r-chunk
index ea2ac9f20..821b297fd 100755
--- a/tests/split/r-chunk
+++ b/tests/split/r-chunk
@@ -44,18 +44,18 @@ printf '1\n4\n' > exp-1
printf '2\n5\n' > exp-2
printf '3\n' > exp-3
-compare xaa exp-1 || fail=1
-compare xab exp-2 || fail=1
-compare xac exp-3 || fail=1
-compare r1 exp-1 || fail=1
-compare r2 exp-2 || fail=1
-compare r3 exp-3 || fail=1
+compare exp-1 xaa || fail=1
+compare exp-2 xab || fail=1
+compare exp-3 xac || fail=1
+compare exp-1 r1 || fail=1
+compare exp-2 r2 || fail=1
+compare exp-3 r3 || fail=1
test -f xad && fail=1
# Test input without trailing \n
printf '1\n2\n3\n4\n5' | split -n r/2/3 > out
printf '2\n5' > exp
-compare out exp || fail=1
+compare exp out || fail=1
# Ensure we fall back to appending to a file at a time
# if we hit the limit for the number of open files.
diff --git a/tests/split/suffix-length b/tests/split/suffix-length
index efb0d8166..da5b7fde3 100755
--- a/tests/split/suffix-length
+++ b/tests/split/suffix-length
@@ -45,11 +45,11 @@ test -f xz || fail=1
test -f xaa && fail=1
test -f xaz && fail=1
rm -f x*
-compare err exp-too-short || fail=1
+compare exp-too-short err || fail=1
# With a longer suffix, it must succeed.
split --verbose -b 1 -a 2 in > err || fail=1
-compare err exp || fail=1
+compare exp err || fail=1
# Ensure that xbb is *not* created.
test -f xbb && fail=1